package com.kingdee.eas.custom.hireapproval;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractOAHireSalaryDataEntryInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractOAHireSalaryDataEntryInfo()
    {
        this("id");
    }
    protected AbstractOAHireSalaryDataEntryInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 分录 's 单据头 property 
     */
    public com.kingdee.eas.custom.hireapproval.OAHireSalaryDataInfo getParent()
    {
        return (com.kingdee.eas.custom.hireapproval.OAHireSalaryDataInfo)get("parent");
    }
    public void setParent(com.kingdee.eas.custom.hireapproval.OAHireSalaryDataInfo item)
    {
        put("parent", item);
    }
    /**
     * Object: 分录 's 定薪项目 property 
     */
    public com.kingdee.shr.cmpdesign.app.v2.base.AdjustSalaryItemInfo getCmpItem()
    {
        return (com.kingdee.shr.cmpdesign.app.v2.base.AdjustSalaryItemInfo)get("cmpItem");
    }
    public void setCmpItem(com.kingdee.shr.cmpdesign.app.v2.base.AdjustSalaryItemInfo item)
    {
        put("cmpItem", item);
    }
    /**
     * Object:分录's 金额property 
     */
    public java.math.BigDecimal getMoney()
    {
        return getBigDecimal("money");
    }
    public void setMoney(java.math.BigDecimal item)
    {
        setBigDecimal("money", item);
    }
    /**
     * Object:分录's OA生效日期property 
     */
    public java.util.Date getOAEffectDate()
    {
        return getDate("oAEffectDate");
    }
    public void setOAEffectDate(java.util.Date item)
    {
        setDate("oAEffectDate", item);
    }
    /**
     * Object: 分录 's 币别 property 
     */
    public com.kingdee.eas.basedata.assistant.CurrencyInfo getCurrency()
    {
        return (com.kingdee.eas.basedata.assistant.CurrencyInfo)get("currency");
    }
    public void setCurrency(com.kingdee.eas.basedata.assistant.CurrencyInfo item)
    {
        put("currency", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("C3A0936C");
    }
}